<?php 
/* SVN FILE: $Id$ */
/* SiteSetting Test cases generated on: 2009-12-29 12:27:16 : 1262057236*/
App::import('Model', 'SiteSetting');

class SiteSettingTestCase extends CakeTestCase {
	var $SiteSetting = null;
	var $fixtures = array('app.site_setting');

	function startTest() {
		$this->SiteSetting =& ClassRegistry::init('SiteSetting');
	}

	function testSiteSettingInstance() {
		$this->assertTrue(is_a($this->SiteSetting, 'SiteSetting'));
	}

	function testSiteSettingFind() {
		$this->SiteSetting->recursive = -1;
		$results = $this->SiteSetting->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('SiteSetting' => array(
			'id'  => 1,
			'key'  => 'Lorem ipsum dolor sit amet',
			'value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'title'  => 'Lorem ipsum dolor sit amet',
			'description'  => 'Lorem ipsum dolor sit amet',
			'type'  => 'Lorem ipsum dolor sit amet'
		));
		$this->assertEqual($results, $expected);
	}
}
?>